summaryrefslogtreecommitdiffstats
path: root/remote/modules/kdm/data
diff options
context:
space:
mode:
authorMichael Neves2013-04-06 15:49:26 +0200
committersr2013-04-12 19:11:41 +0200
commite108e3791440a64e5e10db17b3c62eb14f683090 (patch)
treebaedf235aa28ec9c82c5116400d71a1ae4feaec7 /remote/modules/kdm/data
parentAdded small util to analyze strace logfiles for missing files/libs and delays (diff)
downloadtm-scripts-e108e3791440a64e5e10db17b3c62eb14f683090.tar.gz
tm-scripts-e108e3791440a64e5e10db17b3c62eb14f683090.tar.xz
tm-scripts-e108e3791440a64e5e10db17b3c62eb14f683090.zip
Xstartup remove initctl line
Diffstat (limited to 'remote/modules/kdm/data')
-rwxr-xr-xremote/modules/kdm/data/etc/kde4/kdm/Xstartup19
1 files changed, 19 insertions, 0 deletions
diff --git a/remote/modules/kdm/data/etc/kde4/kdm/Xstartup b/remote/modules/kdm/data/etc/kde4/kdm/Xstartup
new file mode 100755
index 00000000..c5439011
--- /dev/null
+++ b/remote/modules/kdm/data/etc/kde4/kdm/Xstartup
@@ -0,0 +1,19 @@
+#! /bin/sh
+# Xstartup - run as root before session starts
+
+PATH="$PATH:/usr/bin/X11"
+
+if [ -e /etc/nologin ]; then
+ # always display the nologin message, if possible
+ if [ -s /etc/nologin ] && which xmessage > /dev/null 2>&1; then
+ xmessage -file /etc/nologin -geometry 640x480
+ fi
+ if [ "$(id -u)" != "0" ] && \
+ ! grep -qs '^ignore-nologin' /etc/kde4/kdm/kdm.options; then
+ exit 1
+ fi
+fi
+
+#/sbin/initctl -q emit desktop-session-start DISPLAY_MANAGER=kdm USER=$USER
+
+# NOTE: The session is aborted if the last command returns non-zero.